DSCN2686.JPG=Just one last twist... OK we're set... time for some more fun!
DSCN2680.JPG=Ms. Marshall's class
DSCN2683.JPG=The first hard wack sent the tail flying off!
DSCN2677.JPG=He's a little too heavy so resting on his side is less strenuous on his feet.
DSCN2681.JPG=Last look at those tail feathers.
DSCN2672.JPG=The class had a chance to dip their hands in the pasta (that's Spanish for paste) and use it to glue another layer of paper to the mockingjay's main cavity and head.
DSCN2685.JPG=Oops!  Didn't twist the wire enough the first time.  Let's twist that back a little better...
DSCN2675.JPG=Mr. Mockingjay is all finished and filled.
DSCN2671.JPG=Adding some "strength" to our little mockingjay
DSCN2676.JPG=Ready for flight!
DSCN2673.JPG=In the middle of making a mockingjay (furthest along), unicorn (see all the legs :-) and a gummy bear.
